// Machine generated IDispatch wrapper class(es) created with Add Class from Typelib Wizard

#import "C:\\AlgoStars\\APPs(UAT)\\TCoreRelease\\Components\\TCQuoteWrapperAPI.dll" no_namespace
// CqdStock wrapper class

class CqdStock : public COleDispatchDriver
{
public:
	CqdStock(){} // Calls COleDispatchDriver default constructor
	CqdStock(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	CqdStock(const CqdStock& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

	// Attributes
public:

	// Operations
public:


	// qdStock methods
public:
	long get_DataCookie()
	{
		long result;
		InvokeHelper(0x1, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	void put_DataCookie(long newValue)
	{
		static BYTE parms[] = VTS_I4 ;
		InvokeHelper(0x1, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	CString get_Exchange()
	{
		CString result;
		InvokeHelper(0x2, DISPATCH_PROPERTYGET, VT_BSTR, (void*)&result, NULL);
		return result;
	}
	CString get_Security()
	{
		CString result;
		InvokeHelper(0x3, DISPATCH_PROPERTYGET, VT_BSTR, (void*)&result, NULL);
		return result;
	}
	CString get_SecurityName()
	{
		CString result;
		InvokeHelper(0x4, DISPATCH_PROPERTYGET, VT_BSTR, (void*)&result, NULL);
		return result;
	}
	long get_SecurityType()
	{
		long result;
		InvokeHelper(0x5, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	long get_FilledTime()
	{
		long result;
		InvokeHelper(0x6, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	__int64 get_TradingPrice()
	{
		__int64 result;
		InvokeHelper(0x7, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	long get_TradeQuantity()
	{
		long result;
		InvokeHelper(0x8, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	__int64 get_Change()
	{
		__int64 result;
		InvokeHelper(0x9, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	__int64 get_TradeVolume()
	{
		__int64 result;
		InvokeHelper(0xa, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	__int64 get_OpeningPrice()
	{
		__int64 result;
		InvokeHelper(0xb, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	__int64 get_HighPrice()
	{
		__int64 result;
		InvokeHelper(0xc, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	__int64 get_LowPrice()
	{
		__int64 result;
		InvokeHelper(0xd, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	__int64 get_ClosingPrice()
	{
		__int64 result;
		InvokeHelper(0xe, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	__int64 get_ReferencePrice()
	{
		__int64 result;
		InvokeHelper(0xf, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	__int64 get_UpperLimitPrice()
	{
		__int64 result;
		InvokeHelper(0x10, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	__int64 get_LowerLimitPrice()
	{
		__int64 result;
		InvokeHelper(0x11, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	__int64 get_YClosedPrice()
	{
		__int64 result;
		InvokeHelper(0x12, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	__int64 get_YTradeVolume()
	{
		__int64 result;
		InvokeHelper(0x13, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	__int64 get_Bid()
	{
		__int64 result;
		InvokeHelper(0x14, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	long get_BidVolume()
	{
		long result;
		InvokeHelper(0x15, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	__int64 get_Ask()
	{
		__int64 result;
		InvokeHelper(0x16, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	long get_AskVolume()
	{
		long result;
		InvokeHelper(0x17, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	long get_TradeDate()
	{
		long result;
		InvokeHelper(0x18, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	CString get_ExchangeName()
	{
		CString result;
		InvokeHelper(0x19, DISPATCH_PROPERTYGET, VT_BSTR, (void*)&result, NULL);
		return result;
	}
	long get_FlagOfBuySell()
	{
		long result;
		InvokeHelper(0x1a, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	long get_OpenTime()
	{
		long result;
		InvokeHelper(0x1b, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	long get_CloseTime()
	{
		long result;
		InvokeHelper(0x1c, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	__int64 get_Bid1()
	{
		__int64 result;
		InvokeHelper(0x1d, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	__int64 get_Bid2()
	{
		__int64 result;
		InvokeHelper(0x1e, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	__int64 get_Bid3()
	{
		__int64 result;
		InvokeHelper(0x1f, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	__int64 get_Bid4()
	{
		__int64 result;
		InvokeHelper(0x20, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	__int64 get_Bid5()
	{
		__int64 result;
		InvokeHelper(0x21, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	__int64 get_Bid6()
	{
		__int64 result;
		InvokeHelper(0x22, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	__int64 get_Bid7()
	{
		__int64 result;
		InvokeHelper(0x23, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	__int64 get_Bid8()
	{
		__int64 result;
		InvokeHelper(0x24, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	__int64 get_Bid9()
	{
		__int64 result;
		InvokeHelper(0x25, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	long get_BidVolume1()
	{
		long result;
		InvokeHelper(0x26, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	long get_BidVolume2()
	{
		long result;
		InvokeHelper(0x27, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	long get_BidVolume3()
	{
		long result;
		InvokeHelper(0x28, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	long get_BidVolume4()
	{
		long result;
		InvokeHelper(0x29, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	long get_BidVolume5()
	{
		long result;
		InvokeHelper(0x2a, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	long get_BidVolume6()
	{
		long result;
		InvokeHelper(0x2b, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	long get_BidVolume7()
	{
		long result;
		InvokeHelper(0x2c, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	long get_BidVolume8()
	{
		long result;
		InvokeHelper(0x2d, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	long get_BidVolume9()
	{
		long result;
		InvokeHelper(0x2e, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	__int64 get_Ask1()
	{
		__int64 result;
		InvokeHelper(0x2f, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	__int64 get_Ask2()
	{
		__int64 result;
		InvokeHelper(0x30, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	__int64 get_Ask3()
	{
		__int64 result;
		InvokeHelper(0x31, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	__int64 get_Ask4()
	{
		__int64 result;
		InvokeHelper(0x32, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	__int64 get_Ask5()
	{
		__int64 result;
		InvokeHelper(0x33, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	__int64 get_Ask6()
	{
		__int64 result;
		InvokeHelper(0x34, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	__int64 get_Ask7()
	{
		__int64 result;
		InvokeHelper(0x35, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	__int64 get_Ask8()
	{
		__int64 result;
		InvokeHelper(0x36, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	__int64 get_Ask9()
	{
		__int64 result;
		InvokeHelper(0x37, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	long get_AskVolume1()
	{
		long result;
		InvokeHelper(0x38, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	long get_AskVolume2()
	{
		long result;
		InvokeHelper(0x39, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	long get_AskVolume3()
	{
		long result;
		InvokeHelper(0x3a, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	long get_AskVolume4()
	{
		long result;
		InvokeHelper(0x3b, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	long get_AskVolume5()
	{
		long result;
		InvokeHelper(0x3c, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	long get_AskVolume6()
	{
		long result;
		InvokeHelper(0x3d, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	long get_AskVolume7()
	{
		long result;
		InvokeHelper(0x3e, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	long get_AskVolume8()
	{
		long result;
		InvokeHelper(0x3f, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	long get_AskVolume9()
	{
		long result;
		InvokeHelper(0x40, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	long get_TotalBidCount()
	{
		long result;
		InvokeHelper(0x41, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	long get_TotalBidVolume()
	{
		long result;
		InvokeHelper(0x42, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	long get_TotalAskCount()
	{
		long result;
		InvokeHelper(0x43, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	long get_TotalAskVolume()
	{
		long result;
		InvokeHelper(0x44, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	long get_BidSize()
	{
		long result;
		InvokeHelper(0x45, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	long get_AskSize()
	{
		long result;
		InvokeHelper(0x46, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	CString get_Symbol()
	{
		CString result;
		InvokeHelper(0x47, DISPATCH_PROPERTYGET, VT_BSTR, (void*)&result, NULL);
		return result;
	}
	CString GetStringFromIndex(long lIndex)
	{
		CString result;
		static BYTE parms[] = VTS_I4 ;
		InvokeHelper(0x48, DISPATCH_METHOD, VT_BSTR, (void*)&result, parms, lIndex);
		return result;
	}
	__int64 GetValueFromIndex(long lIndex)
	{
		__int64 result;
		static BYTE parms[] = VTS_I4 ;
		InvokeHelper(0x49, DISPATCH_METHOD, VT_I8, (void*)&result, parms, lIndex);
		return result;
	}
	__int64 get_PreciseTime()
	{
		__int64 result;
		InvokeHelper(0x4a, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}

	// qdStock properties
public:

};
